#==#==#==#==#==#==#==#==#==#
#  Wolf Gifts - 1.21       #
#  Tijd4Jan                #
#==#==#==#==#==#==#==#==#==#

## Triggers
scoreboard players enable @a wg_options
tellraw @a[scores={wg_options=1..}] [{"text":"-- Wolf Gifts Options --\n\n","bold":true,"color":"gold"},{"text":"Gifting Chance - ","color":"white","bold":false},{"text":"[0%] ","color":"gray","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * percentage 2"}},{"text":"[20%] ","color":"gray","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * percentage 20"}},{"text":"[40%] ","color":"gray","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * percentage 40"}},{"text":"[60% (default)] ","color":"gray","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * percentage 60"}},{"text":"[80%] ","color":"gray","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * percentage 80"}},{"text":"[100%] ","color":"gray","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * percentage 100"}},{"text":"\n Universal Loot Table? - ","color":"white","bold":false},{"text":"[YES] ","color":"green","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * universal_loot 2"}},{"text":"[NO] ","color":"red","bold":false,"clickEvent":{"action":"run_command","value":"/scoreboard players set * universal_loot 1"}}]
scoreboard players reset @a[scores={wg_options=1..}] wg_options

## Morning
execute store result score @a morning run time query daytime
execute unless entity @a[scores={percentage=1..}] run scoreboard players set * percentage 60
execute unless entity @a[scores={universal_loot=1..}] run scoreboard players set * universal_loot 1
execute unless entity @a[scores={moreFood=1..}] run scoreboard players set * moreFood 2
execute unless entity @a[scores={portableJukeboxes=1..}] run scoreboard players set * portableJukeboxes 2

## Search for Wolfs
execute as @a[scores={percentage=20,morning=1,wokeUp=1}] at @s run function wolf_gifts:woke_up {"percentage":20}
execute as @a[scores={percentage=40,morning=1,wokeUp=1}] at @s run function wolf_gifts:woke_up {"percentage":40}
execute as @a[scores={percentage=60,morning=1,wokeUp=1}] at @s run function wolf_gifts:woke_up {"percentage":60}
execute as @a[scores={percentage=80,morning=1,wokeUp=1}] at @s run function wolf_gifts:woke_up {"percentage":80}
execute as @a[scores={percentage=100,morning=1,wokeUp=1}] at @s run function wolf_gifts:woke_up {"percentage":100}

## Wolf Gifts Installed
scoreboard players set @a wolfGifts 1